ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulaboyax" integer NULL;

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulaboyg" integer NULL;

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulaboyp" integer NULL;

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulaboyte" integer NULL;

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulagirlax" integer NULL;

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulagirlma" integer NULL;

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulagirlme" integer NULL;

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION ADD "sexualformulagirlp" integer NULL;

UPDATE AKUZ.T_UNDERAGE_EXAMINATION
SET SexualFormulaBoyP = SUBSTRING(SexualFormulaBoy FROM 2 FOR 1)
WHERE SexualFormulaBoy IS NOT NULL
	and SUBSTRING(SexualFormulaBoy FROM 2 FOR 1) <> '';

UPDATE AKUZ.T_UNDERAGE_EXAMINATION
SET SexualFormulaBoyAx = SUBSTRING(SexualFormulaBoy FROM 6 FOR 1)
WHERE SexualFormulaBoy IS NOT NULL
	and SUBSTRING(SexualFormulaBoy FROM 6 FOR 1) <> '';

UPDATE AKUZ.T_UNDERAGE_EXAMINATION
SET SexualFormulaGirlP = SUBSTRING(SexualFormulaGirl FROM 2 FOR 1)
WHERE SexualFormulaGirl IS NOT NULL
	and SUBSTRING(SexualFormulaGirl FROM 2 FOR 1) <> '';

UPDATE AKUZ.T_UNDERAGE_EXAMINATION
SET SexualFormulaGirlAx = SUBSTRING(SexualFormulaGirl FROM 6 FOR 1)
WHERE SexualFormulaGirl IS NOT NULL
	and SUBSTRING(SexualFormulaGirl FROM 6 FOR 1) <> '';

UPDATE AKUZ.T_UNDERAGE_EXAMINATION
SET SexualFormulaGirlMa = SUBSTRING(SexualFormulaGirl FROM 10 FOR 1)
WHERE SexualFormulaGirl IS NOT NULL
	and SUBSTRING(SexualFormulaGirl FROM 10 FOR 1) <> '';

UPDATE AKUZ.T_UNDERAGE_EXAMINATION
SET SexualFormulaGirlMe = SUBSTRING(SexualFormulaGirl FROM 14 FOR 1)
WHERE SexualFormulaGirl IS NOT NULL
	and SUBSTRING(SexualFormulaGirl FROM 14 FOR 1) <> '';

ALTER TABLE AKUZ.T_UNDERAGE_EXAMINATION DROP COLUMN SexualFormulaGirl;